# Xapian::TermIterator Class Reference

An iterator pointing to items in a list of terms. More...

`#include <termiterator.h>`

Collaboration diagram for Xapian::TermIterator:

[legend]
List of all members.

## Public Types

typedef std::input_iterator_tag | iterator_category
typedef std::string | value_type
typedef Xapian::termcount_diff | difference_type
typedef std::string * | pointer
typedef std::string & | reference

## Public Member Functions

| TermIterator (Internal *internal_)
| Reference counted internals.
| TermIterator ()
| Default constructor - for declaring an uninitialised iterator.
| ~TermIterator ()
| Destructor.
| TermIterator (const TermIterator &other)
| Copying is allowed.
void | operator= (const TermIterator &other)
| Assignment is allowed.
std::string | operator * () const
| Return the current term.
TermIterator & | operator++ ()
TermNameWrapper | operator++ (int)
void | skip_to (const std::string &tname)
| Skip the iterator to term tname, or the first term after tname if tname isn't in the list of terms being iterated.
Xapian::termcount | get_wdf () const
| Return the wdf of the current term (if meaningful).
Xapian::doccount | get_termfreq () const
| Return the term frequency of the current term (if meaningful).
PositionIterator | positionlist_begin () const
| Return PositionIterator pointing to start of positionlist for current term.
PositionIterator | positionlist_end () const
| Return PositionIterator pointing to end of positionlist for current term.
std::string | get_description () const
| Returns a string describing this object.

## Public Attributes

Xapian::Internal::RefCntPtr< Internal > | internal
| Reference counted internals.

## Detailed Description

An iterator pointing to items in a list of terms.

## Constructor & Destructor Documentation

Xapian::TermIterator::TermIterator | ( | Internal * | internal_ | ) | `[explicit]`

| Reference counted internals.

Xapian::TermIterator::TermIterator | ( |  | ) |

| Default constructor - for declaring an uninitialised iterator.

Xapian::TermIterator::~TermIterator | ( |  | ) |

| Destructor.

Xapian::TermIterator::TermIterator | ( | const TermIterator & | other | ) |

| Copying is allowed. The internals are reference counted, so copying is also cheap.

## Member Function Documentation

std::string Xapian::TermIterator::get_description | ( |  | ) | const

| Returns a string describing this object. Introspection method.

Xapian::doccount Xapian::TermIterator::get_termfreq | ( |  | ) | const

| Return the term frequency of the current term (if meaningful).

Xapian::termcount Xapian::TermIterator::get_wdf | ( |  | ) | const

| Return the wdf of the current term (if meaningful).

std::string Xapian::TermIterator::operator * | ( |  | ) | const

| Return the current term.

void Xapian::TermIterator::operator= | ( | const TermIterator & | other | ) |

| Assignment is allowed. The internals are reference counted, so assignment is also cheap.

PositionIterator Xapian::TermIterator::positionlist_begin | ( |  | ) | const

| Return PositionIterator pointing to start of positionlist for current term.

PositionIterator Xapian::TermIterator::positionlist_end | ( |  | ) | const`[inline]`

| Return PositionIterator pointing to end of positionlist for current term.

void Xapian::TermIterator::skip_to | ( | const std::string & | tname | ) |

| Skip the iterator to term tname, or the first term after tname if tname isn't in the list of terms being iterated.

## Member Data Documentation

Xapian::Internal::RefCntPtr<Internal> Xapian::TermIterator::internal

| Reference counted internals.

The documentation for this class was generated from the following file:

- include/xapian/termiterator.h